Bug 715119

Summary: Review Request: gnome-encfs - Makes using encfs easier
Product: [Fedora] Fedora Reporter: Heiko Adams <bugzilla>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: eldermarco, fedora-package-review, fschwarz, igeorgex, metherid, notting, paul, ricardo.arguello, tibbs, ycnian
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-07-11 14:03:53 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Heiko Adams 2011-06-21 18:06:54 EDT
Spec URL: https://dl.dropbox.com/s/whokbypjv4neatm/gnome-encfs.spec?dl=1
SRPM URL: https://dl.dropbox.com/s/hol109qbmn9kvec/gnome-encfs-23hg-1.20110621.fc15.src.rpm?dl=1
Description: Integrate EncFS folders into the GNOME desktop by storing their passwords in the keyring and optionally mounting them at login using GNOME's autostart mechanism.

At the moment I still need a sponsor.
Comment 1 Yanchuan Nian 2011-06-22 01:05:57 EDT
At first glance,%{_datadir}/%{name}/* should be changed to %{_datadir}/%{name}/.Otherwise,directory /usr/share/hg_date can't be removed from your system when erasing this package.
Comment 2 Yanchuan Nian 2011-06-22 11:40:53 EDT
Another comment:
%{__install} needs argument -p to preserves the files' timestamps.
https://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps
Comment 3 Elder Marco 2011-07-02 20:17:32 EDT
Hi, just a few comments,

* The License field must be GPLv3+ (see the source file provided by upstream)

* Currently, the correct version is 0.1. (See the source file provided by upstream)

* Add each dependency on a single line:
Requires: python
Requires: gnome-python2-gnomekeyring
Requires: fuse-encfs

It's more readable.

* %setup -q -n gnome-encfs
This line could be:
%setup -q -n %{name}

* %{__install} -m 755 gnome-encfs %{buildroot}%{_datadir}/%{name}/gnome-encfs.py
And This line could be:
%{__install} -m 755 %{name} %{buildroot}%{_datadir}/%{name}/%{name}.py

But,

* You don't need the file gnome-encfs (Source1). Just install gnome-encfs (from tarball) in %{buildroot}%{_bindir}

rpmlint:
$ rpmlint /var/lib/mock/fedora-15-x86_64/result/gnome-encfs-23hg-1.20110621.fc15.* 
gnome-encfs.noarch: W: spelling-error %description -l en_US keyring -> keying, key ring, key-ring
gnome-encfs.noarch: W: spelling-error %description -l en_US login -> loin, logic, lo gin
gnome-encfs.noarch: W: spelling-error %description -l en_US autostart -> auto start, auto-start, autos tart
gnome-encfs.noarch: W: no-manual-page-for-binary gnome-encfs
gnome-encfs.src: W: spelling-error %description -l en_US keyring -> keying, key ring, key-ring
gnome-encfs.src: W: spelling-error %description -l en_US login -> loin, logic, lo gin
gnome-encfs.src: W: spelling-error %description -l en_US autostart -> auto start, auto-start, autos tart
gnome-encfs.src: W: invalid-url Source0: gnome-encfs.tar.gz
2 packages and 0 specfiles checked; 0 errors, 8 warnings.
Comment 5 Heiko Adams 2011-07-05 16:17:32 EDT
Can anyone please set the "need sponsor" flag?
Comment 7 Felix Schwarz 2011-11-11 05:26:44 EST
just wanted to mention that the rpm works fine for me on Fedora 16 (with a tiny change as the "README" file is now "README.md").
Comment 8 Jason Tibbitts 2012-07-03 16:32:19 EDT
I don't use gnome and I've no hope of actually being able to test this, but I see it's been around for quite some time without much progress.  So, some questions and comments.

Is the package remotely up to date?  Upstream shows commits as recently as January.

Your tarball includes stuff like .hg_archival.txt and .hgignore, but that's not a really big deal.

Is the "hg" really part of the upstream version?  It appears that the upstream script has
  VERSION="0.1"
Where does the "hg" come from?

The license appears to be GPLv3+, not GPLv3, as the script includes the "any later version" language.

You shouldn't use things like %{_mkdir_p}; just use "mkdir -p".  http://fedoraproject.org/wiki/Packaging:Guidelines#Macros

There is no need to have the %clean section, nor the %defattr line in %files.

rpmlint just says:
  gnome-encfs.src: W: invalid-url Source0: gnome-encfs.tar.gz
Which is fine, but it would be good if the tarball had some name related to the checkout you did.

  gnome-encfs.noarch: W: no-manual-page-for-binary gnome-encfs
It's nice to have manual pages if possible, but it's not up to you to write them.
Comment 9 Heiko Adams 2012-07-11 13:43:19 EDT
I'm no longer using gnome-encfs so if anybody wants to take over the review-request please feel free to do so.
Comment 10 Jason Tibbitts 2012-07-11 14:03:53 EDT
If anyone wants to submit gnome-encfs, they should file their own review ticket and set this one as a duplicate.